CentOS 程序设计语言python版本太低如何手动升级

页面导航:首页 > 操作系统 > RedHat/Centos > CentOS 程序设计语言python版本太低如何手动升级

CentOS 程序设计语言python版本太低如何手动升级

来源: 作者: 时间:2015-12-02 11:42 【

Python是一款计算机程序设计语言,如果Python版本过低将不利于Python语言的使用,下面小编就给大家介绍下CentOS升级Python的方法,需要的朋友可以看看
Python是一款计算机程序设计语言,如果Python版本过低将不利于Python语言的使用,下面小编就给大家介绍下CentOS升级Python的方法,需要的朋友可以看看

  Python是一款计算机程序设计语言,Python语言简洁、可扩展的特性导致使用该语言做科学计算研究的人越来越多,甚至用其设置学校课程,如果Python版本过低将不利于Python语言的使用,下面小编就给大家介绍下CentOS升级Python的方法。

  Host1Free的VPS安装的是CentOS 5.8 Final,执行python -V(大写的V)可以看到版本为Python 2.4.3,这确实是一个老掉牙了的版本,但这已经是软件库中最新的版本。此时就需要自己动手来编译安装最新的Python 2.7.3。

  一。准备工作

  1.安装gcc:

  GNU GCC编译器。执行:

  yum install gcc

  2.安装zlib库:

  这个库不是必须的,但如果不安装这个库,会导致Python的zlib内置模块无法使用,进一步导致无法使用Python Egg来安装模块,造成各种麻烦,所以为了避免麻烦,还是装上吧。执行:

  yum install zlib zlib-devel

  3.下载并解压Python源码包

  依次执行:

  wget http://www.python.org/ftp/python/2.7.3/Python-2.7.3.tgz #下载Python源码包

  tar zxvf Python-2.7.3.tgz #解压Python源码包

  二。编译安装Python

  依次执行下面的命令:

  cd Python-2.7.3

  。/configure

  make && make install

  Python的编译和安装还是比较消耗时间的,,在执行上述指令前可以先创建一个screen窗口,会方便很多。

  上述命令执行完成后,我们再次执行python -V,可以看到目前的版本已经是Python 2.7.3了,如果想要调用老版本的Python 2.4.3,则执行python2.4。

  三。后续工作

  安装完后,因为CentOS的yum依赖于系统自带的Python 2.4.3,如果用Python 2.7.3来运行可能会出错,所以我们要将/usr/bin/yum文件中的第一行#!/usr/bin/python修改为#!/usr/bin/python2.4,这样yum执行时就是调用老版本的Python 2.4.3。修改用vi就可以搞定,如果对vi不熟悉的话,可以用Bitvise SSH Client的SFTP功能把文件下载下来,用Notepad++(不要用Windows自带的记事本)修改好了再上传回去(嘿嘿,我第一次的时候就是这样干的)。

  最后来安装setuptools,以后下载Python模块的时候就可以直接用easy_install这个命令了。执行:

  wget http://pypi.python.org/packages/2.7/s/setuptools/setuptools-0.6c11-py2.7.egg

  sh setuptools-0.6c11-py2.7.egg

  如下图所示:

 CentOS python版本太低如何手动升级?

  上面就是CentOS升级Python版本的方法介绍了,因为Python到2.4.3就不自动更新了,如果你想要使用最新的Python版本就需要自己手动进行更新。

Tags:

文章评论

最 近 更 新
热 点 排 行
Js与CSS工具
代码转换工具

<